Skip to content

Create Custom Part Offer

Request

Creates a new offer for a custom part. Attach the sourcing scenario ID when creating a new custom part offer.

Security
BearerAuth
Headers
Acceptstring(CustomPartOfferAcceptHeader)required

Set this to application/api.luminovo.custom-part-offer-v1+json.

Value:"application/api.luminovo.custom-part-offer-v1+json"
Bodyapplication/jsonrequired
linked_partobject(types.sourcing.offer.custom.v1.CustomLinkedPart)required
One of:
supplier_and_stock_locationstring, (uuid)required
unit_of_measurementobject(types.primitives.quantity_unit.v1.QuantityUnit)required
One of:
currencystring(CurrencyCode)required
Enum:"EUR""USD""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK"
price_pointsArray of objects(types.sourcing.offer.custom.v1.PricePointInput)required
valid_untilstring, (date-time)required
valid_fromstring, (date-time)required
cancellation_window_in_daysinteger or null, (int32)
one_time_costsArray of objects(types.sourcing.offer.custom.v1.CostInput)required
price_typenull or types.sourcing.offer.custom.v1.CustomPriceType (string)
One of:
null
notesstring or null
offer_numberstring or null
offer_urlstring or null
sourcing_scenario_idstring or null, (uuid)

The sourcing scenario this offer is part of. Please supply this information!

specificationnull or types.sourcing.offer.custom.v1.CustomPartOfferSpecification (object)
One of:
null
sourcing_batch_sizeinteger or null, (int32)
total_offered_quantitynumber or null, (double)
payment_termsnull or (OfferPaymentTermsInput (NetOnly (object) or NetWithEarlyPayment (object)))
One of:
null
supplier_part_numberstring or null

The supplier's part number for this custom part. Required to create the underlying custom part for this offer

lifecyclenull or string
One of:

Lifecycle of the custom part. Only applied when supplier_part_number is also supplied

null
POST
/offer/custom-part
curl -i -X POST \
  https://api.luminovo.com/offer/custom-part \
  -H 'Accept: application/api.luminovo.custom-part-offer-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "linked_part": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "type": "CustomPart"
    },
    "supplier_and_stock_location": "79f81ee3-83f7-4253-b938-871561d2e1be",
    "unit_of_measurement": {
      "quantity": 0.1,
      "unit": "Kg"
    },
    "currency": "EUR",
    "price_points": [
      {
        "quantity": 0.1,
        "amount": "string",
        "lead_time_days": 0
      }
    ],
    "valid_until": "2019-08-24T14:15:22Z",
    "valid_from": "2019-08-24T14:15:22Z",
    "cancellation_window_in_days": 0,
    "one_time_costs": [
      {
        "description": "string",
        "amount": "string"
      }
    ],
    "price_type": null,
    "notes": "string",
    "offer_number": "string",
    "offer_url": "string",
    "sourcing_scenario_id": "dc1160f9-8b39-424c-ab48-9f7b212b9c05",
    "specification": null,
    "sourcing_batch_size": 0,
    "total_offered_quantity": 0,
    "payment_terms": null,
    "supplier_part_number": "string",
    "lifecycle": null
  }'

Responses

Customer created.

Bodyapplication/json
idstring, (uuid)required
originobject(OfferOrigin)required
One of:
supplier_and_stock_locationstring, (uuid)required
unit_of_measurementobject(types.primitives.quantity_unit.v1.UnitOfMeasurement)required
price_pointsArray of objects(types.sourcing.offer.custom.v1.PricePoint)required
valid_untilstring, (date-time)required
offer_numberstring or null
one_time_costsArray of objects(types.sourcing.sourcing_scenario.v1.Cost)required
notesstring or null
creation_datestring, (date-time)required
offer_urlstring or null
has_order_filesbooleanrequired
price_typenull or types.sourcing.offer.custom.v1.CustomPriceType (string)
One of:
null
sourcing_scenario_idstring or null, (uuid)
specificationnull or types.sourcing.offer.custom.v1.CustomPartOfferSpecificationResponse (object)
One of:
null
sourcing_batch_sizeinteger or null, (int32)
total_offered_quantitynumber or null, (double)
price_breaksArray of objects(types.sourcing.offer.custom.v1.CustomPartPriceBreak)required
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "origin": { "origin": "Manual" }, "supplier_and_stock_location": "79f81ee3-83f7-4253-b938-871561d2e1be", "unit_of_measurement": { "quantity_unit": {} }, "price_points": [ {} ], "valid_until": "2019-08-24T14:15:22Z", "offer_number": "string", "one_time_costs": [ {} ], "notes": "string", "creation_date": "2019-08-24T14:15:22Z", "offer_url": "string", "has_order_files": true, "price_type": null, "sourcing_scenario_id": "dc1160f9-8b39-424c-ab48-9f7b212b9c05", "specification": null, "sourcing_batch_size": 0, "total_offered_quantity": 0, "price_breaks": [ {} ] }